TEMPLATE = app
TARGET = Linux-Tutorials
CONFIG += console c++11
CONFIG -= app_bundle
CONFIG -= qt

LIBS += -ldl -pthread

INCLUDEPATH += .
INCLUDEPATH += ../SolidFramework

SOURCES += \
    Tutorials.cpp \
    Tutorials/CombinePdfFiles.cpp \
    Tutorials/ConvertPdfToExcel.cpp \
    Tutorials/ConvertPdfToHtml.cpp \
    Tutorials/ConvertPdfToImages.cpp \
    Tutorials/ConvertPdfToPdfA.cpp \
    Tutorials/ConvertPdfToPowerPoint.cpp \
    Tutorials/ConvertPdfToWord.cpp \
    Tutorials/ConvertPdfToData.cpp \
    Tutorials/ConvertTiffToPdf.cpp \
    Tutorials/EditDocumentProperties.cpp \
    Tutorials/ExtractPdfImages.cpp \
    Tutorials/ExtractPdfPages.cpp \
    Tutorials/ExtractPdfText.cpp \
    Tutorials/InitializeSolidFramework.cpp \
    Tutorials/MakePdfSearchable.cpp \
    Tutorials/OcrTransformer.cpp \
    Tutorials/SecurePdfFile.cpp \
    Tutorials/SetViewerPreferences.cpp \
    Tutorials/ValidatePdfA.cpp \
    ../SolidFramework/SolidFramework.cpp

HEADERS += \
    Tutorials.h \
    ../SolidFramework/SolidFramework.h

