#pragma once
#include "SolidFramework.h"
#include <iostream>

using namespace std;


// Defined in InitializeSolidFramework.cpp
bool InitializeSolidFramework(const wstring & frameworkPath, const wstring & licensePath);

// Defined in CombinePdfFiles.cpp
bool CombinePdfFiles(const wstring & inputFolder, const wstring & outputPath);

// Defined in ConvertPdfToData.cpp
bool ConvertPdfToData(const wstring & pdfPath, const wstring & outputPath);

// Defined in ConvertPdfToExcel.cpp
bool ConvertPdfToExcel(const wstring & pdfPath, const wstring & outputPath);

// Defined in ConvertPdfToHtml.cpp
bool ConvertPdfToHtml(const wstring & pdfPath, const wstring & outputPath);

// Defined in ConvertPdfToImages.cpp
bool ConvertPdfToImages(const wstring & pdfPath, const wstring & outputFolder);

// Defined in ConvertPdfToPdfA.cpp
bool ConvertPdfToPdfA(const wstring & pdfPath, const wstring & outputPath);

// Defined in ConvertPdfToPowerPoint.cpp
bool ConvertPdfToPowerPoint(const wstring & pdfPath, const wstring & outputPath);

// Defined in ConvertPdfToWord.cpp
bool ConvertPdfToWord(const wstring & pdfPath, const wstring & outputPath);

// Defined in ConvertTiffToPdf.cpp
bool ConvertTiffToPdf(const wstring & pdfPath, const wstring & outputPath);

// Defined in EditDocumentProperties.cpp
bool EditDocumentProperties(const wstring & pdfPath, const wstring & outputPath);

// Defined in ExtractPdfImages.cpp
bool ExtractPdfImages(const wstring & pdfPath, const wstring & outputFolder);

// Defined in ExtractPdfPages.cpp
bool ExtractPdfPages(const wstring & pdfPath, const wstring & outputFolder);

// Defined in ExtractPdfText.cpp
bool ExtractPdfText(const wstring & pdfPath, const wstring & outputPath);

// Defined in MakePdfSearchable.cpp
bool MakePdfSearchable(const wstring & pdfPath, const wstring & outputPath);

// Defined in OcrTransformer.cpp
bool OcrTransformer(const wstring & pdfPath, const wstring & outputPath);

// Defined in SecurePdfFile.cpp
bool SecurePdfFile(const wstring & pdfPath, const wstring & outputPath);

// Defined in SetViewerPreferences.cpp
bool SetViewerPreferences(const wstring & pdfPath, const wstring & outputPath);

// Defined in ValidatePdfA.cpp
bool ValidatePdfA(const wstring & pdfPath, const wstring & outputPath);


